%define anolis_release 3
Name:           python-configobj
Version:        5.0.8
Release:        %{anolis_release}%{?dist}
Summary:        Config file reading, writing, and validation
License:        BSD-3-Clause
URL:            http://configobj.readthedocs.org/
# Moved to the github release instead of the pypi one since multiple elements (License and tests)
# are not available using pypi. Two bugs have been filled about this:
# https://github.com/DiffSK/configobj/issues/98
# https://github.com/DiffSK/configobj/issues/99
Source0:        https://github.com/DiffSK/configobj/archive/refs/tags/v%{version}.tar.gz
Patch0:		0001-Address-CVE-2023-26112-ReDoS.patch

BuildArch:      noarch
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-six
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-pytest-cov

%global _description \
ConfigObj is a simple but powerful configuration file reader and writer: an ini\
file round tripper. Its main feature is that it is very easy to use, with a\
straightforward programmers interface and a simple syntax for config files. 
%description %_description

%package     -n python%{python3_pkgversion}-configobj
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-configobj}
Requires:       python%{python3_pkgversion}-six
%description -n python%{python3_pkgversion}-configobj %_description

%package -n     python%{python3_pkgversion}-configobj-doc
Summary:        doc files for python%{python3_pkgversion}-configobj
Requires:       python%{python3_pkgversion}-configobj = %{version}-%{release}

%description -n python%{python3_pkgversion}-configobj-doc
doc files for python%{python3_pkgversion}-configobj.

%prep
%autosetup -p1 -n configobj-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%check
export PYTHONPATH=$(pwd)/build/lib
%{__python3} src/tests/configobj_doctests.py
%{__python3} -m configobj.validate
py.test-%{python3_version} -c setup.cfg --color=yes --cov=configobj --cov-report=term --cov-report=html --cov-report=xml

%files -n python%{python3_pkgversion}-configobj
%license LICENSE
%{python3_sitelib}/configobj/
%{python3_sitelib}/validate/
%{python3_sitelib}/configobj-%{version}.dist-info/

%files -n python%{python3_pkgversion}-configobj-doc
%doc README.md

%changelog
* Thu Mar 14 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 5.0.8-3
- Rebuild with python3.11

* Tue Oct 10 2023 Funda Wang <fundawang@yeah.net> - 5.0.8-2
- Fix CVE-2023-26112

* Tue Feb 21 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 5.0.8-1
- update to version 5.0.8

* Thu Mar  10 2022 zl01087097 <zl01087097@alibaba-inc.com> - 5.0.6-1
- upstream version 5.0.6
